//
//  littleNotesAppDelegate.h
//  littleNotes
//
//  Created by Michael on 23.05.10.
//  Copyright 2010 MOApp. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface littleNotesAppDelegate : NSObject <NSApplicationDelegate> {
    NSWindow *window;
	
	IBOutlet NSWindow *prefs;
	IBOutlet NSTextView *textView;	
	NSMutableArray *data;
	NSString *dataPath;	
	IBOutlet NSArrayController *arrayController;	
	IBOutlet NSWindow *newSheet;	
	IBOutlet NSTextField *titleField;
}

@property (assign) IBOutlet NSWindow *window;
@property (nonatomic, retain) NSMutableArray *data;
@property (nonatomic, copy) NSString *dataPath;

-(IBAction)addNote:(id)sender;
-(IBAction)deleteNote:(id)sender;
-(IBAction)showPrefs:(id)sender;
-(IBAction)setFont:(id)sender;

-(void)loadDataFromDisk;
-(void)saveDataToDisk;
-(void)applyFont;

- (IBAction)closeSheet:(id)sender;
- (IBAction)openSheet:(id)sender;

@end
